Loading...
Searching...
No Matches
rostlab::cxx_group Struct Reference

`#include <cxxgrp.h>`

## Public Member Functions

| cxx_group ()
| cxx_group (const std::string &__gr_name)
| cxx_group (const std::string &__gr_name, const std::string &__gr_passwd, gid_t __gr_gid, const std::vector< std::string > &__gr_mem)
| cxx_group (const std::string &__gr_name, const std::string &__gr_passwd, gid_t __gr_gid, char **__gr_mem)

## Public Attributes

std::string | gr_name
std::string | gr_passwd
gid_t | gr_gid
std::vector< std::string > | gr_mem

## Detailed Description

Definition at line 36 of file cxxgrp.h.

## Constructor & Destructor Documentation

## cxx_group() [1/4]

rostlab::cxx_group::cxx_group | ( |  | ) |

inline

Definition at line 43 of file cxxgrp.h.

## cxx_group() [2/4]

rostlab::cxx_group::cxx_group | ( | const std::string & | __gr_name | ) |

inline

Definition at line 61 of file cxxgrp.h.

## cxx_group() [3/4]

rostlab::cxx_group::cxx_group | ( | const std::string & | __gr_name,
|  | const std::string & | __gr_passwd,
|  | gid_t | __gr_gid,
|  | const std::vector< std::string > & | __gr_mem )

inline

Definition at line 45 of file cxxgrp.h.

## cxx_group() [4/4]

rostlab::cxx_group::cxx_group | ( | const std::string & | __gr_name,
|  | const std::string & | __gr_passwd,
|  | gid_t | __gr_gid,
|  | char ** | __gr_mem )

inline

Definition at line 47 of file cxxgrp.h.

## Member Data Documentation

## gr_gid

gid_t rostlab::cxx_group::gr_gid

Definition at line 40 of file cxxgrp.h.

## gr_mem

std::vector<std::string> rostlab::cxx_group::gr_mem

Definition at line 41 of file cxxgrp.h.

## gr_name

std::string rostlab::cxx_group::gr_name

Definition at line 38 of file cxxgrp.h.

## gr_passwd

std::string rostlab::cxx_group::gr_passwd

Definition at line 39 of file cxxgrp.h.

The documentation for this struct was generated from the following file:

- rostlab/cxxgrp.h